SCRIPTREPLAY(1)

NAMN
scriptreplay - spela upp typsnitt med hjälp av tidsinformation

SYNOPSIS

scriptreplay [flaggor] timingfile [typescript [divisor]]

BESKRIVNING

Det här programmet spelar upp ett typskript och använder tidsinformation för att säkerställa att utmatningen sker i samma rytm som den ursprungligen såg ut när manuset spelades in.

Uppspelningen visar helt enkelt informationen igen; de program som kördes när typskriptet spelades in körs inte igen. Eftersom samma information bara visas, kan scriptreplay bara garanteras fungera korrekt om den körs på samma typ av terminal som typskriptet spelades in på. I annat fall kan eventuella escape-tecken i typskriptet tolkas annorlunda av den terminal som scriptreplay skickar sin utdata till.

Tidsinformationen är det som script(1) matar ut till den fil som anges av --log-timing.

Som standard antas det typescript som ska visas ha namnet typescript, men andra filnamn kan anges som den andra parametern eller med flaggan --log-out.

Om den tredje parametern eller --divisor anges används den som en multiplikator för hastighetshöjning. Om t.ex. hastigheten ökas med 2 går scriptreplay dubbelt så snabbt och om hastigheten minskas med 0,1 går den tio gånger långsammare än den ursprungliga sessionen.

During the replay, you can interactively speed up, slow down, pause or step through the playback using the Up, Down, Space and Right keys.

FLAGGOR

-I, --log-in fil
    Fil som innehåller script:s terminalinmatning.

-O, --log-out fil
    Fil som innehåller script:s terminalutdata.

-B, --log-io fil
    Fil som innehåller script:s terminalutdata och -inmatning.

-t, --timing fil
    Fil som innehåller script:s tidsutdata. Denna flagga ersätter det positionella argumentet timingfile.

-T, --log-timing fil
    Detta är ett alias för -t, som bibehålls för kompatibilitet med kommandoradsflaggorna för script(1).

-s, --typescript fil
    Föråldrat alias för --log-out.

-c, --cr-mode läge
    Anger hur CR-tecknet (carriage return, 0x0D) ska hanteras i loggfiler. Standardläget är auto, i vilket fall CR ersätts med en radbrytning för stdin-loggen, eftersom scriptreplay annars skulle skriva över samma rad. De andra lägena är never och always.

-d, --divisor nummer
    Påskynda uppspelningen genom att visa detta antal gånger. Argumentet är ett flyttal. Det kallas divisor eftersom det dividerar tidsangivelserna med denna faktor. Den här flaggan åsidosätter gamla argument.

-m, --maxdelay nummer
    Ställ in den maximala fördröjningen mellan uppdateringar till antal sekunder. Argumentet är ett flyttal. Detta kan användas för att undvika långa pauser i uppspelningen av typskriften.

--summary
    Visar detaljer om sessionen som spelades in i den angivna tidsfilen och avslutar. Sessionen måste ha spelats in med hjälp av formatet advanced (se script(1)-flaggan --logging-format för mer information).

-x, --stream typ
    Tvingar scriptreplay att endast skriva ut den angivna strömmen. De strömtyper som stöds är in, out, signal och info. Denna flagga rekommenderas för loggar med flera strömmar (skapade med --log-io) för att endast skriva ut önskade data.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

EXEMPEL

    % sskript --log-timing fil.tm --log-out skript.ut
    Skriptet startat, filen är script.out
    % ls
    <etc, etc>
    % exit
    Skriptet är klart, filen är script.out
    % scriptreplay --log-timing file.tm --log-out script.out

BINDNINGAR FÖR NYCKEL

Följande knappar styr uppspelningen av skriptet:

    • Mellanslag: Växlar mellan paus och avpaus. Tryck på denna knapp för att pausa uppspelningen och tryck på den igen för att återuppta den.

    • Pil uppåt: Ökar uppspelningshastigheten. Varje tryckning på denna knapp gör att skriptet spelas upp x0,1 snabbare.

    • Nedåtpil: Minskar uppspelningshastigheten. Varje tryckning på denna knapp gör att uppspelningen av skriptet går x0,1 långsammare.

    • Right Arrow: Advances the playback by one step. Each press of this key will immediately display the current step instead of waiting its specified delay.

UPPHOVSPERSONER

Det ursprungliga scriptreplay-programmet skrevs av Programmet skrevs om i C av och

UPPHOVSRÄTT

Copyright © 2008 James Youngman

Copyright © 2008-2019 Karel Zak

Copyright © 2024 Jonathan Ketchker

Detta är fri programvara; se källan för kopieringsvillkor. Det finns INGEN garanti; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR ETT BESTÄMMT SYFTE.

Utgiven under GNU General Public License version 2 eller senare.

SE ÄVEN

script(1), scriptlive(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot scriptreplay ingår i paketet util-linux som kan hämtas från